Name:           leatherman
Version:        1.12.11
Release:    1%{?dist}
Summary:        Collection of C++ and CMake utility libraries

License:        Apache-2.0 AND MIT
URL:            https://github.com/puppetlabs/leatherman
Source0:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:         leatherman-1.12.4-shared_nowide.patch
Patch1:         system-catch.patch
Patch2:         %{name}-gcc11.patch

BuildRequires:  cmake >= 3.2.2
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  boost-devel >= 1.73
BuildRequires:  libcurl-devel
BuildRequires:  gettext
BuildRequires:  catch1-devel
Provides:       bundled(rapidjson) = 1.0.2

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       boost-devel
Requires:       libcurl-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

sed -i -e "s/\s*-Werror\s*//g" cmake/cflags.cmake

%build
%cmake . -B%{_target_platform} \
  -DLEATHERMAN_SHARED=ON \
  -DLEATHERMAN_DEBUG=ON \
  -DLEATHERMAN_CATCH_INCLUDE=%{_includedir}/catch \
  %{nil}
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}
%find_lang %{name}_logging
%find_lang %{name}_locale


%files -f %{name}_logging.lang  -f %{name}_locale.lang
%license LICENSE
%{_libdir}/%{name}*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}*.so
%dir %{_libdir}/cmake
%{_libdir}/cmake/%{name}/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.11-1
- initial build
